Interface GoogleDriveEndpointBuilderFactory.GoogleDriveBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- GoogleDriveEndpointBuilderFactory
public static interface GoogleDriveEndpointBuilderFactory.GoogleDriveBuilders
-
Method Summary
Modifier and TypeMethodDescriptiongoogleDrive(String path) Google Drive (camel-google-drive) Manage files in Google Drive.googleDrive(String componentName, String path) Google Drive (camel-google-drive) Manage files in Google Drive.
-
Method Details
-
googleDrive
Google Drive (camel-google-drive) Manage files in Google Drive. Category: file,cloud,api Since: 2.14 Maven coordinates: org.apache.camel:camel-google-drive Syntax:google-drive:apiName/methodNamePath parameter: apiName (required) What kind of operation to perform There are 10 enums and the value can be one of: DRIVE_ABOUT, DRIVE_CHANGES, DRIVE_CHANNELS, DRIVE_COMMENTS, DRIVE_DRIVES, DRIVE_FILES, DRIVE_PERMISSIONS, DRIVE_REPLIES, DRIVE_REVISIONS, DRIVE_TEAMDRIVES Path parameter: methodName (required) What sub operation to use for the selected operation There are 13 enums and the value can be one of: copy, delete, get, getIdForEmail, insert, list, patch, stop, touch, trash, untrash, update, watch- Parameters:
path- apiName/methodName- Returns:
- the dsl builder
-
googleDrive
default GoogleDriveEndpointBuilderFactory.GoogleDriveEndpointBuilder googleDrive(String componentName, String path) Google Drive (camel-google-drive) Manage files in Google Drive. Category: file,cloud,api Since: 2.14 Maven coordinates: org.apache.camel:camel-google-drive Syntax:google-drive:apiName/methodNamePath parameter: apiName (required) What kind of operation to perform There are 10 enums and the value can be one of: DRIVE_ABOUT, DRIVE_CHANGES, DRIVE_CHANNELS, DRIVE_COMMENTS, DRIVE_DRIVES, DRIVE_FILES, DRIVE_PERMISSIONS, DRIVE_REPLIES, DRIVE_REVISIONS, DRIVE_TEAMDRIVES Path parameter: methodName (required) What sub operation to use for the selected operation There are 13 enums and the value can be one of: copy, delete, get, getIdForEmail, insert, list, patch, stop, touch, trash, untrash, update, watch- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- apiName/methodName- Returns:
- the dsl builder
-